#!/usr/bin/env python

import sys
sys.path.append("lib")

from store import AtomStore
import server

atom_store = AtomStore("http://localhost:8000")

workspace = atom_store.create_workspace("Demokritos Test Workspace")

collection1 = atom_store.create_collection("Blog Entry Collection", "/blog", "entry")

collection2 = atom_store.create_collection("Media Collection", "/media", "media")

workspace.add_collection(collection1)
workspace.add_collection(collection2)

server.atom_store = atom_store # @@@ hack for now
server.AtomServer().serve_forever()